models/Marcadores.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "marcadores".
 *
 * @property int $id
 * @property string $enlace
 * @property string $etiqueta
 * @property string $descripcion
 * @property string $larga
 * @property string $tipo
 */
class Marcadores extends \yii\db\ActiveRecord
{
     private $valores=[
      "Publico"=>"Publico",
      "Privado"=>"Privado",
    ];
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'marcadores';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['larga'], 'string'],
            ['tipo','in','range'=> array_keys($this->getValores())],
            [['enlace', 'etiqueta', 'descripcion', 'tipo'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'enlace' => 'Enlace',
            'etiqueta' => 'Etiqueta',
            'descripcion' => 'Descripcion',
            'larga' => 'Larga',
            'tipo' => 'Tipo',
        ];
    }
    public function getValores(){
        return $this->valores;
    }
}

controllers/MarcadoresController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Marcadores;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * MarcadoresController implements the CRUD actions for Marcadores model.
 */
class MarcadoresController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['GET'],
                ],
            ],
        ];
    }

    /**
     * Lists all Marcadores models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Marcadores::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Marcadores model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Marcadores model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Marcadores();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Marcadores model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Marcadores model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Marcadores model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Marcadores the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Marcadores::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
    public function actionPublicos($id=null){
        $datos= Marcadores::findOne($id);
        $dataProvider=new ActiveDataProvider([
            "query"=> Marcadores::find()
                        ->where(["tipo"=>"publicos"])
        ]);
        
        return $this->render("publicos",[
            "dataProvider"=>$dataProvider,
            "datos"=>$datos
        ]);
    }
    public function actionPrivados($id=null){
        $datos= Marcadores::findOne($id);
         $dataProvider=new ActiveDataProvider([
            "query"=> Marcadores::find()
            
        ]);
        
        return $this->render("privados",[
            "dataProvider"=>$dataProvider,
            "datos"=>$datos
        ]);
    }
    
    public function actionAdmin(){
         $dataProvider=new ActiveDataProvider([
            "query"=> Marcadores::find()
            
        ]);
        return $this->render("admin",[
            "dataProvider"=>$dataProvider
        ]);
    }
    public function actionPrueba($id){
        return $this->render("prueba",[
            "id"=>$id
        ]);
    }
    
   
}

views/marcadores/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Marcadores */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="marcadores-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'enlace')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'etiqueta')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'descripcion')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'larga')->textarea(['rows' => 6]) ?>

  <?= $form
                ->field($model, 'tipo')
                ->dropDownList(
                    $model->getValores(),[
                        'prompt'=>"Seleccione una opción"
                    ]); ?>

    <div class="form-group">
        <?= Html::submitButton('Guardar', ['class' => 'btn btn-success']) ?>
        <?= Html::a('Eliminar',['marcadores/delete',"id"=>$model->id],['class' => 'btn btn-danger']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/marcadores/_form_1.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Marcadores */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="marcadores-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'enlace')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'etiqueta')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'descripcion')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'larga')->textarea(['rows' => 6]) ?>

  <?= $form
                ->field($model, 'tipo')
                ->dropDownList(
                    $model->getValores(),[
                        'prompt'=>"Seleccione una opción"
                    ]); ?>

    <div class="form-group">
        <?= Html::submitButton('Guardar', ['class' => 'btn btn-success']) ?>
        <?= Html::a('Eliminar',['marcadores/delete']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/marcadores/admin.php
<?php
use yii\helpers\Html;

 echo Html::a('Nuevo', ['marcadores/create',], ['class' => 'btn btn-primary']);
  echo $this->render("listar",[
     'dataProvider'=>$dataProvider
 ]); 
 echo Html::a('Nuevo', ['marcadores/create',], ['class' => 'btn btn-primary']);
 ?>

views/marcadores/create.php
<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model app\models\Marcadores */

$this->title = 'Create Marcadores';
$this->params['breadcrumbs'][] = ['label' => 'Marcadores', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="marcadores-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/marcadores/index.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Marcadores';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="marcadores-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Create Marcadores', ['create'], ['class' => 'btn btn-success']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'id',
            'enlace',
            'etiqueta',
            'descripcion',
            'larga:ntext',
            //'tipo',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>
</div>

views/marcadores/privados.php
<?php
use yii\grid\GridView;
use yii\helpers\Html;
use yii\bootstrap\Modal;
use yii\data\ActiveDataProvider;

?>
<?=Html::a('Nuevo', ['marcadores/create'],["class"=>"btn btn-primary","style"=>"margin:5px"]); ?>
<?= GridView::widget([
        'dataProvider' => $dataProvider,
        'summary'=>"",
        'columns' => [
            
            [
                'attribute' => 'id',
                'label' => 'ID ',
                'format' => 'raw',
                'value' => function ($model) {
                     return Html::a($model->id,['marcadores/update',"id"=>$model->id]); // your url here
                },
            ],
            [
                'attribute' => 'enlace',
                'label' => 'Enlace ',
                'format' => 'raw',
                'value' => function ($model) {
                     return Html::a($model->etiqueta, $model->enlace,['target'=>'_blank']); // your url here
                },
            ],
            
            [
                'attribute'=>'descripcion',
                'label'=>'descripcion',
                'format'=>'raw',
                'value'=> function($data)
                          { 
                               return  Html::a($data->descripcion, ['marcadores/privados','id'=>$data->id]);      
                          }, 
                
            ],
            
            
        ],
    ]); ?>

<?php
    if($datos["id"]){
            Modal::begin([
                //'id'=>'modal',
                'header'=>"<h2>".$datos['descripcion']."</h2>",
                 'footer'=>'<a href="#" class="btn btn-primary" data-dismiss="modal">Cerrar</a> <a href="'.$datos["enlace"].'" class="btn btn-primary">Visitar</a>',
                'clientOptions'=>[
                    'show'=>TRUE,
                ],
               
                'closeButton' => [

                  'label' => 'X',

                  'class' => 'btn btn-danger btn-sm pull-right',

                ],

                'size' => 'modal-lg',

            ]);

           echo $datos["larga"];

    Modal::end();}

        ?>
<?=Html::a('Nuevo', ['marcadores/create'],["class"=>"btn btn-primary","style"=>"margin:5px"]); ?>

views/marcadores/publicos.php
<?php
use yii\grid\GridView;
use yii\helpers\Html;
use yii\bootstrap\Modal;
use yii\data\ActiveDataProvider;

?>
<?=Html::a('Nuevo', ['marcadores/create'],["class"=>"btn btn-primary","style"=>"margin:5px"]); ?>

<?= GridView::widget([
        'dataProvider' => $dataProvider,
        'summary'=>"",
        'columns' => [
            
            
            [
                'attribute' => 'id',
                'label' => 'ID ',
                'format' => 'raw',
                'value' => function ($model) {
                     return Html::a($model->id,['marcadores/update',"id"=>$model->id]); // your url here
                },
            ],
            [
                'attribute' => 'enlace',
                'label' => 'Enlace ',
                'format' => 'raw',
                'value' => function ($model) {
                     return Html::a($model->etiqueta, $model->enlace,['target'=>'_blank']); // your url here
                },
            ],
            
            [
                'attribute'=>'descripcion',
                'label'=>'descripcion',
                'format'=>'raw',
                'value'=> function($data)
                          { 
                               return  Html::a($data->descripcion, ['marcadores/publicos','id'=>$data->id]);      
                          }, 
                
            ],
            
            
        ],
    ]); ?>

<?php
 if($datos["id"]){
            Modal::begin([
                //'id'=>'modal',
                'header'=>'<h2>Descripción</h2>',
                'footer'=>'<a href="#" class="btn btn-primary" data-dismiss="modal">Cerrar</a> <a href="'.$datos["enlace"].'" class="btn btn-primary">Visitar</a>',
                'clientOptions'=>[
                    'show'=>TRUE
                    ],
               
                'closeButton' => [

                  'label' => 'X',

                  'class' => 'btn btn-danger btn-sm pull-right',

                ],

                'size' => 'modal-lg',

            ]);

            echo $datos["larga"];

            Modal::end();
 }

        ?>
<?=Html::a('Nuevo', ['marcadores/create'],["class"=>"btn btn-primary","style"=>"margin:5px"]); ?>

views/marcadores/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\Marcadores */


?>
<div class="marcadores-update">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/marcadores/view.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Marcadores */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Marcadores', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="marcadores-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'enlace',
            'etiqueta',
            'descripcion',
            'larga:ntext',
            'tipo',
        ],
    ]) ?>

</div>